# eval - Irssi 1.2 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

Important

You are reading the help for Irssi 1.2. The current release version is Neırssi 1.3.

# eval

## Syntax

    EVAL <command(s)>

## Parameters

The commands to evaluate.

## Description

Evaluates the given commands and executes them; you can use internal variables and separate multiple commands by using the ‘;’ character.

## Examples

    /EVAL echo I am connected to ${S} on ${chatnet} as ${N}
    /EVAL echo My user privileges are +${usermode}; echo Let's party!

## References

https://github.com/irssi/irssi/blob/master/docs/special_vars.txt

## See also

CAT, CD, ECHO, EXEC